/*******************************************************************************
 * FoxLiveStreamingMod_HalfDamageDealt generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxLiveStreamingMod_HalfDamageDealt extends FoxLiveStreamingMod;

protected function bool IsPositive()
{
    return false;
    //return ReturnValue;    
}

protected function OnPreDamageDealtImpl(out int Damage, int DamageZone, class<DamageType> DamageType)
{
    Damage = (Damage + 1) / 2;
    //return;    
}
